// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
    event.shaped('traveloptics:void_spellweave_ingot', [
      ' ab',
      'cde',
      'ee '
    ], {
      a: 'etheria:ether_ingot',
      b: 'armageddon_mod:voiderite',
      c: 'ancient_elements:celestium_ingot',
      d: 'darkdoppelganger:shadow_orb',
      e: 'terramity:decayed_bedrock',
    }).result('1x traveloptics:void_spellweave_ingot');
    
    event.shaped('cataclysm:ignitium_ingot', [
      ' ab',
      'cde',
      'ee '
    ], {
      a: 'allthemodium:allthemodium_ingot',
      b: 'ancient_elements:infernal_ingot',
      c: 'ancient_elements:hellstone_ingot',
      d: 'goety:fireball_focus',
      e: 'terramity:topaz_block',
    }).result('1x cataclysm:ignitium_ingot');

    event.shaped('traveloptics:abyssal_spellweave_ingot', [
      ' ab',
      'cde',
      'ee '
    ], {
      a: 'armageddon_mod:voiderite',
      b: 'ancient_elements:galactrium_ingot',
      c: 'allthemodium:unobtainium_ingot',
      d: 'cataclysm:abyssal_sacrifice',
      e: 'minecraft:crying_obsidian',
    }).result('1x traveloptics:abyssal_spellweave_ingot');

    event.shaped('cataclysm:witherite_ingot', [
      ' ab',
      'cde',
      'ee '
    ], {
      a: 'ancient_elements:void_steel_ingot',
      b: 'ancient_elements:abyssal_ingot',
      c: 'cataclysm:black_steel_ingot',
      d: 'forbidden_arcanus:dark_nether_star',
      e: 'minecraft:stone',
    }).result('1x cataclysm:witherite_ingot');

    event.shaped('traveloptics:pyro_spellweave_ingot', [
      ' ab',
      'cde',
      'ee '
    ], {
      a: 'ancient_elements:infernal_ingot',
      b: 'allthemodium:allthemodium_ingot',
      c: 'ancient_elements:palladium_ingot',
      d: 'minecraft:netherite_ingot',
      e: 'minecraft:magma_block',
    }).result('1x traveloptics:pyro_spellweave_ingot');
});